#
# spec file for package swtchart
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           swtchart
Version:        0.7.0
Release:        2.20
Summary:        Chart component based on SWT
License:        EPL-1.0
Group:          Development/Languages/Java
Url:            http://www.swtchart.org/
Source:         %{name}-%{version}.tar.gz
Source1:        build.xml
BuildRequires:  ant
BuildRequires:  eclipse-swt
BuildRequires:  jpackage-utils
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
SWTChart is a chart component which has following basic functionalities.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Libraries/Java

%description javadoc
Developer documentation of SWT Chart.

%prep
%setup -q

%build
cp %{SOURCE1} .
export CLASSPATH=%{_libdir}/java/swt.jar
%{ant}

%install
mkdir -p %{buildroot}%{_javadir}
install org.swtchart.jar %{buildroot}%{_javadir}

mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -r api/* %{buildroot}%{_javadocdir}/%{name}-%{version}

%files
%defattr(-,root,root)
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%changelog
* Mon Dec 28 2015 mailaender@opensuse.org
- initial packaging
